/*
 *  Copyright (C) <2022> <XiaoMoMi>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.momirealms.customnameplates.object.scheduler;

import org.bukkit.Location;
import org.jetbrains.annotations.NotNull;

import java.util.concurrent.Callable;
import java.util.concurrent.Future;

public interface SchedulerPlatform {

    <T> Future<T> callSyncMethod(@NotNull Callable<T> task);

    void runTask(Runnable runnable, Location location);

    void runTaskLater(Runnable runnable, Location location, long delay);

    void runTaskAsync(Runnable runnable);

    void runTaskAsyncLater(Runnable runnable, long delay);

    TimerTask runTaskAsyncTimer(Runnable runnable, long delay, long interval);

    TimerTask runTaskTimer(Runnable runnable, Location location, long delay, long interval);
}
